Bug 233519 - finance/openhbci: (fails with openssl111 to build) deprecate the port is no longer maintained upstream
Summary: finance/openhbci: (fails with openssl111 to build) deprecate the port is no l...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-25 21:51 UTC by w.schwarzenfeld
Modified: 2019-02-05 13:59 UTC (History)
2 users (show)

See Also:


Attachments
svn-diif-deprecate-openhbci (400 bytes, patch)
2018-11-25 22:24 UTC, w.schwarzenfeld
no flags Details | Diff
svn-diff-deprecate-aqmoney (1.54 KB, patch)
2018-11-25 22:39 UTC, w.schwarzenfeld
no flags Details | Diff
svn-diff-deprecate-openhbci (400 bytes, patch)
2018-11-25 22:40 UTC, w.schwarzenfeld
no flags Details | Diff
svn-diff-openhbci_v2 (400 bytes, patch)
2019-02-05 10:03 UTC, w.schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description w.schwarzenfeld freebsd_triage 2018-11-25 21:51:48 UTC
openhbci fails with openssl111 with:
c++ -DHAVE_CONFIG_H -I. -I. -I../../.. -I../ -I/usr/local/include -O2 -pipe -fstack-protector -fno-strict-aliasing -MT rsakey.lo -MD -MP -MF .deps/rsakey.Tpo -c rsakey.cpp  -fPIC -DPIC -o .libs/rsakey.o
rsakey.cpp:350:12: error: member access into incomplete type 'RSA' (aka 'rsa_st')
  rsaStruct->e = myExponent;
           ^
./rsakey.h:44:16: note: forward declaration of 'rsa_st'
typedef struct rsa_st RSA;
               ^
rsakey.cpp:356:18: error: member access into incomplete type 'RSA' (aka 'rsa_st')
        rsaStruct->n = myModulus;
                 ^
./rsakey.h:44:16: note: forward declaration of 'rsa_st'
typedef struct rsa_st RSA;
               ^
rsakey.cpp:359:9: error: member access into incomplete type 'RSA' (aka 'rsa_st')
        NEXT(n);
        ^
rsakey.cpp:344:14: note: expanded from macro 'NEXT'
    rsaStruct->tstring = myBIGNUM; }
             ^
./rsakey.h:44:16: note: forward declaration of 'rsa_st'
typedef struct rsa_st RSA;
               ^
rsakey.cpp:360:9: error: member access into incomplete type 'RSA' (aka 'rsa_st')
        NEXT(p);
        ^
rsakey.cpp:344:14: note: expanded from macro 'NEXT'
    rsaStruct->tstring = myBIGNUM; }
             ^
./rsakey.h:44:16: note: forward declaration of 'rsa_st'
typedef struct rsa_st RSA;
               ^
rsakey.cpp:361:9: error: member access into incomplete type 'RSA' (aka 'rsa_st')
        NEXT(q);
        ^
rsakey.cpp:344:14: note: expanded from macro 'NEXT'
    rsaStruct->tstring = myBIGNUM; }
             ^
./rsakey.h:44:16: note: forward declaration of 'rsa_st'
typedef struct rsa_st RSA;
               ^
rsakey.cpp:362:9: error: member access into incomplete type 'RSA' (aka 'rsa_st')
        NEXT(dmp1);
        ^
rsakey.cpp:344:14: note: expanded from macro 'NEXT'
    rsaStruct->tstring = myBIGNUM; }
             ^
./rsakey.h:44:16: note: forward declaration of 'rsa_st'
typedef struct rsa_st RSA;
               ^
rsakey.cpp:363:9: error: member access into incomplete type 'RSA' (aka 'rsa_st')
        NEXT(dmq1);
        ^
rsakey.cpp:344:14: note: expanded from macro 'NEXT'
    rsaStruct->tstring = myBIGNUM; }
             ^
./rsakey.h:44:16: note: forward declaration of 'rsa_st'
typedef struct rsa_st RSA;
               ^
rsakey.cpp:364:9: error: member access into incomplete type 'RSA' (aka 'rsa_st')
        NEXT(iqmp);
        ^
rsakey.cpp:344:14: note: expanded from macro 'NEXT'
    rsaStruct->tstring = myBIGNUM; }
             ^
./rsakey.h:44:16: note: forward declaration of 'rsa_st'
typedef struct rsa_st RSA;
               ^
rsakey.cpp:365:9: error: member access into incomplete type 'RSA' (aka 'rsa_st')
        NEXT(d);
        ^
rsakey.cpp:344:14: note: expanded from macro 'NEXT'
    rsaStruct->tstring = myBIGNUM; }
             ^
./rsakey.h:44:16: note: forward declaration of 'rsa_st'
typedef struct rsa_st RSA;
               ^
rsakey.cpp:427:18: warning: 'RSA_generate_key' is deprecated [-Wdeprecated-declarations]
    RSA *myRSA = RSA_generate_key(keyLength, DEFAULT_EXPONENT, NULL, NULL);
                 ^
/usr/local/include/openssl/rsa.h:234:1: note: 'RSA_generate_key' has been explicitly marked deprecated here
DEPRECATEDIN_0_9_8(RSA *RSA_generate_key(int bits, unsigned long e, void
^
/usr/local/include/openssl/opensslconf.h:182:34: note: expanded from macro 'DEPRECATEDIN_0_9_8'
# define DEPRECATEDIN_0_9_8(f)   DECLARE_DEPRECATED(f)
                                 ^
/usr/local/include/openssl/opensslconf.h:133:55: note: expanded from macro 'DECLARE_DEPRECATED'
#   define DECLARE_DEPRECATED(f)    f __attribute__ ((deprecated));
                                                      ^
rsakey.cpp:429:27: error: member access into incomplete type 'RSA' (aka 'rsa_st')
    length=BN_bn2bin(myRSA->n, dest);
                          ^
./rsakey.h:44:16: note: forward declaration of 'rsa_st'
typedef struct rsa_st RSA;
               ^
rsakey.cpp:433:5: error: member access into incomplete type 'RSA' (aka 'rsa_st')
    NEXT(n);
    ^
rsakey.cpp:417:29: note: expanded from macro 'NEXT'
    length = BN_bn2bin(myRSA->tstring, (unsigned char*) &dest); \
                            ^
./rsakey.h:44:16: note: forward declaration of 'rsa_st'
typedef struct rsa_st RSA;
               ^
rsakey.cpp:434:5: error: member access into incomplete type 'RSA' (aka 'rsa_st')
    NEXT(p);
    ^
rsakey.cpp:417:29: note: expanded from macro 'NEXT'
    length = BN_bn2bin(myRSA->tstring, (unsigned char*) &dest); \
                            ^
....
Comment 1 w.schwarzenfeld freebsd_triage 2018-11-25 22:16:10 UTC
Seems we have to deprecate that port. 
http://openhbci.sourceforge.net/download.html
=> OpenHBCI is now outdated and no longer maintained.
Comment 2 w.schwarzenfeld freebsd_triage 2018-11-25 22:24:24 UTC
Created attachment 199558 [details]
svn-diif-deprecate-openhbci
Comment 3 w.schwarzenfeld freebsd_triage 2018-11-25 22:39:14 UTC
Created attachment 199559 [details]
svn-diff-deprecate-aqmoney

Deprecate port seems not supported upstream anymore. Successor is aqbanking.
Comment 4 w.schwarzenfeld freebsd_triage 2018-11-25 22:40:00 UTC
Created attachment 199560 [details]
svn-diff-deprecate-openhbci
Comment 5 Koichiro Iwao freebsd_committer 2019-02-05 07:59:16 UTC
(In reply to w.schwarzenfeld from comment #4)

I'm going to commit this but it is already past the EXPIRATION_DATE.
Can you reset the new EXPIRATION_DATE?
Comment 6 Koichiro Iwao freebsd_committer 2019-02-05 08:04:22 UTC
There's not set policy. If you don't specify the new expiration date, I'll set it to 2019-03-31.
https://www.freebsd.org/doc/en/books/porters-handbook/dads-deprecated.html
Comment 7 w.schwarzenfeld freebsd_triage 2019-02-05 10:03:43 UTC
Created attachment 201747 [details]
svn-diff-openhbci_v2

Update patch.
Comment 8 commit-hook freebsd_committer 2019-02-05 13:41:49 UTC
A commit references this bug:

Author: meta
Date: Tue Feb  5 13:41:36 UTC 2019
New revision: 492210
URL: https://svnweb.freebsd.org/changeset/ports/492210

Log:
  finance/openhbci: deprecate the port

  as this is no longer maintained upstream and fails to build with OpenSSL 1.1.1.

  PR:		233519
  Submitted by:	w.schwarzenfeld@utanet.at

Changes:
  head/finance/openhbci/Makefile
Comment 9 Koichiro Iwao freebsd_committer 2019-02-05 13:59:37 UTC
Committed, thanks. I'll take bug 232963 next.